package com.smppw.modaq.domain.dto.report;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/26 17:24
 * @description 季报
 */
@Setter
@Getter
public class QuarterlyReportData extends ReportData {
    private List<ReportAssetAllocationDTO> assetAllocation;
    private List<ReportFinancialIndicatorsDTO> financialIndicators;
    private List<ReportInvestmentIndustryDTO> investmentIndustry;
    private List<ReportShareChangeDTO> shareChange;

    public QuarterlyReportData(ReportBaseInfoDTO baseInfo, ReportFundInfoDTO fundInfo) {
        super(baseInfo, fundInfo);
    }

    @Override
    public String toString() {
        return "{" +
                super.toString() +
                ", assetAllocation=" + assetAllocation +
                ", financialIndicators=" + financialIndicators +
                ", investmentIndustry=" + investmentIndustry +
                ", shareChange=" + shareChange +
                '}';
    }
}
